/*
=============== 
Fonts
===============
*/
@font-face {
    font-family: "vazir";
    src: url("../fonts/vazir/Vazir-Medium-FD-WOL.woff") format("woff2"),
        url("../fonts/vazir/Vazir-Medium-FD-WOL.woff") format("woff"),
        url("../fonts/vazir/Vazir-Medium-FD-WOL.ttf") format("truetype");
}

:root {
    --clr-primary-1: #3a86ff;
    --clr-primary-2: #8338ec;
    --clr-primary-3: #ff006e;
    --clr-primary-4: #fb5607;
    --clr-primary-5: #ffbe0b;
    --clr-primary-6: #8ac926;
    --clr-primary-7: #ffb3c1;
    --clr-grey-1: #102a42;
    --clr-grey-2: #617d98;
    --clr-grey-3: rgb(241, 245, 248);
    --clr-white: #fff;
    --ff-primary: "vazir", sans-serif;
    --transition: all 0.3s linear;
    --radius: 0.5rem;
    --light-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
    --dark-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
    --max-width: 1170px;
}

/*
=============== 
Global Styles
===============
*/

*,
::after,
::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    font-family: var(--ff-primary);
    background: var(--clr-white);
    color: var(--clr-grey-1);
    line-height: 1.5;
    font-size: 0.875rem;
}
ul {
    list-style-type: none;
}
a {
    text-decoration: none;
    color: inherit;
}

img {
    width: 100%;
    display: block;
}

h1,
h2,
h3,
h4 {
    line-height: 1.25;
    margin-bottom: 0.75rem;
    font-family: var(--ff-primary);
}
h1 {
    font-size: 3rem;
}
h2 {
    font-size: 2rem;
}
h3 {
    font-size: 1.25rem;
}
h4 {
    font-size: 0.875rem;
}
p {
    margin-bottom: 1.25rem;
    color: var(--clr-grey-2);
    text-align: justify;
}
@media screen and (min-width: 800px) {
    h1 {
        font-size: 4rem;
    }
    h2 {
        font-size: 2.5rem;
    }
    h3 {
        font-size: 1.75rem;
    }
    h4 {
        font-size: 1rem;
    }
    body {
        font-size: 1rem;
    }
    h1,
    h2,
    h3,
    h4 {
        line-height: 1;
    }
}

.section {
    padding: 5rem 0;
}

.section-center {
    width: 90vw;
    margin: 0 auto;
    max-width: var(--max-width);
}

@media screen and (min-width: 992px) {
    .section-center {
        width: 95vw;
    }
}

.section-title {
    margin-bottom: 4rem;
    text-align: center;
}

.bg-yellow {
    background: var(--clr-primary-5);
}

.bg-green {
    background: var(--clr-primary-6);
}

.btn{
    background: var(--clr-primary-6);
    color: var(--clr-white);
    padding: 0.375rem 0.75rem;
    display: inline-block;
    transition: var(--transition);
    font-family: var(--ff-primary);
    border: 2px solid transparent;
    cursor: pointer;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
    border-radius: var(--radius);
}

/*
=============== 
Navbr
===============
*/

.navbar {
    position: fixed;
    top: 0;
    right: 0;
    background: var(--clr-white);
    width: 100%;
    box-shadow: var(--dark-shadow);
    z-index: 2;
}

.navbar-center {
    width: 100%;
    max-width: 1170px;
    margin: 0 auto;
}

.nav-icons {
    display: none;
}

.nav-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 2rem;
}

.nav-header img{
    width: 8%;
    margin-bottom: 5px;
}

.nav-header h3 {
    margin-bottom: 0;
    color: var(--clr-primary-1);;
}

.nav-toggle {
    background: transparent;
    border: transparent;
    color: var(--clr-primary-2);
    cursor: pointer;
    font-size: 1.5rem;
    transition: var(--transition);
}

.nav-toggle:hover {
    transform: scale(1.2);
}

.nav-link {
    display: block;
    padding: 1rem 2rem;
    font-size: 1rem;
    cursor: pointer;
    color: var(--clr-grey-1);
    transition: var(--transition);
}

.nav-link:hover {
    color: var(--clr-white);
    background: var(--clr-primary-4);
    padding-right: 2.25rem;
}

.nav-links {
    height: 0;
    overflow: hidden;
    transition: var(--transition);
}

.show-links {
    height: 280px;
}

@media screen and (min-width: 992px) {
    .navbar {
        padding: 1rem 2rem;
    }

    .nav-toggle {
        display: none;
    }

    .navbar-center {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .nav-links {
        height: auto;
        display: flex;
        margin: auto;
    }

    .nav-header {
        padding: 0 0;
    }

    .nav-link {
        padding: 0 0;
        margin-right: 0.75rem;
    }

    .nav-link:hover {
        padding: 0;
        color: var(--clr-primary-1);
        background: transparent;
    }

    .nav-icons {
        display: flex;
        margin: auto;
    }

    .nav-icon {
        color: var(--clr-primary-1);
        font-size: 1.2rem;
        margin-right: 0.75rem;
    }

    .nav-icon:hover {
        color: var(--clr-primary-5);
    }
}
/*
=============== 
Option
===============
*/
#option {
    padding: 0 0;
}
.option {
    background: var(--clr-white);
    padding: 1.5rem;
    text-align: center;
    margin-bottom: 2rem;
    transition: var(--transition);
    z-index: 1;
    cursor: pointer;
}

.options-center {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    margin: -1rem auto;
}

.option .underline {
    width: 3rem;
    height: 0.12rem;
    transition: var(--transition);
}

.option:hover {
    background: var(--clr-primary-2);
    color: var(--clr-white);
}

.option p {
    transition: var(--transition);
}

.option:hover p {
    color: var(--clr-white);
}

.option:hover .underline {
    background: var(--clr-white);
}
@media screen and (min-width: 992px) {
    .option h4{
        font-size: 1.75rem;
    }
}

/*
=============== 
Funder
===============
*/

.funder-center {
    display: grid;
    gap: 3rem;
}

.funder-photo {
    max-width: 25rem;
    max-height: 30rem;
    -o-object-fit: cover;
       object-fit: cover;
    border-radius: var(--radius);
    position: relative;
}

.funder-img {
    justify-self: center;
}

.funder-title {
    margin-bottom: 2rem;
}

.funder-title .underline {
    margin-right: 0;
}

@media screen and (min-width: 992px) {
    .funder-center {
        grid-template-columns: 1fr 1fr;
    }

    .funder-img {
        position: relative;
    }

    .funder-info {
        align-self: center;
    }
    .funder-img::before {
        content: "";
        position: absolute;
        width: 100%;
        height: 100%;
        border: 0.10rem dashed var(--clr-primary-7);
        border-radius: var(--radius);
        top: 1.5rem;
        right: -1.5rem;
    }
}

/*
=============== 
Gallery
===============
*/
.bg-gallery{
    background: url(../images/bg_gallery.jpg);
}

.gallery {
    background: var(--clr-white);
    padding: 2rem 0 0 0;
    border-radius: var(--radius);
    text-align: center;
    margin-bottom: 2rem;
    transition: var(--transition);
}

.gallery .underline {
    width: 3rem;
    height: 0.12rem;
    transition: var(--transition);
}

.gallery:hover {
    background: var(--clr-primary-1);
    color: var(--clr-white);
    opacity: 0.7;
}

.gallery h6{
    padding: 1rem;
}

.gallery p {
    transition: var(--transition);
    padding: 0 3rem 2rem 3rem;
}

.gallery img{
    min-height: 15rem;;
}

.gallery:hover p {
    color: var(--clr-white);
}

.gallery:hover .underline {
    background: var(--clr-white);
}

@media screen and (min-width: 676px) {
    .galleries-center {
        display: grid;
        grid-template-columns: 1fr 1fr;
        -moz-column-gap: 2rem;
             column-gap: 2rem;
    }
}

@media screen and (min-width: 992px) {
    .galleries-center {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
    .gallery p {
        padding: 0 3rem;
    }
}

/*
=============== 
birthdays
===============
*/
#birthdays{
    padding-bottom: 0 !important;
}

.birthday-card {
    /* box-shadow: var(--light-shadow); */
    transition: var(--transition);
}

.birthday-card:hover {
    /* box-shadow: var(--dark-shadow); */
    transform: scale(1.02);
}

.birthday-img {
    height: 10rem;
    width: 10rem;
    object-fit: cover;
    border-radius: 50%;
    margin: auto;
}

.birthday-info {
    padding: 0.5rem 1.5rem;
}

.birthday-title {
    display: flex;
    justify-content: space-around;
    padding-top: 1rem;
}

.birthday-info p{
    display: flex;
    justify-content: space-around;
    padding-top: 0.25rem;
}

.birthdays-center{
    position: relative;
}

.birthdays-center::after{
    position: absolute;
    content: '';
    background: url(../images/mobile_birthday.jpg) no-repeat;
    width: 157px;
    height: 157px;
    top: -75px;
    left: -10px;
    z-index: -1;
}

@media screen and (min-width: 768px) {
    .birthdays-center {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    .birthday-card {
        flex: 0 0 calc(33.333% - 2rem);
    }

    .birthdays-center::after{
        top: -140px;
        left: -10px;
    }
}

@media screen and (min-width: 1170px) {
    .birthday-card {
        flex: 0 0 calc(20% - 2rem);
    }
    .birthdays-center::after{
        position: absolute;
        content: '';
        background: url(../images/birthday.jpg) no-repeat;
        width: 313px;
        height: 313px;
        bottom: 400px;
        left: -170px;
        z-index: -1;
    }
}


/*
=============== 
Footer
===============
*/

.bg-footer{
    background-image: url(../images/bg_footer.png);
    background-size: cover;
    background-position: center;
}

.footer {
    padding: 3rem 1.5rem 0 1.5rem;
    border-radius: var(--radius);
    text-align: center;
    transition: var(--transition);
}

.footer h3{
    text-align: right;
    color: var(--clr-grey-1);
    padding-bottom: 0.75rem;
}

.footer p {
    transition: var(--transition);
}

.footer_about{
    overflow: hidden;
    text-overflow: ellipsis;
    height: 146px;
}

.footer ul{
    color: var(--clr-grey-2);
    text-align: right;
    padding-right: 0;
}

.footer ul li{
    padding-bottom: 0.75rem;
}

.footers-center {
    padding-top: 5rem;
}

.footer_address{
    position: relative;
}
.footer_address::before{
    position: absolute;
    content: '';
    background: url(../images/home.png) no-repeat;
    width: 24px;
    height: 24px;
    top: -3px;
    right: -25px;
}

.footer_tel{
    position: relative;
}
.footer_tel::before{
    position: absolute;
    content: '';
    background: url(../images/phone.png) no-repeat;
    width: 24px;
    height: 24px;
    top: -3px;
    right: -25px;
}

.footer_mobile{
    position: relative;
}
.footer_mobile::before{
    position: absolute;
    content: '';
    background: url(../images/mobile.png) no-repeat;
    width: 24px;
    height: 24px;
    top: -3px;
    right: -25px;
}

.footers-center{
    position: relative;
}

.footers-center::after{
    position: absolute;
    content: '';
    background: url(../images/whale.png) no-repeat;
    width:291px;
    height: 152px;
    top:385px;
    left: 0;
}
.footers-center::before{
    position: absolute;
    content: '';
    background: url(../images/fish.png) no-repeat;
    width:200px;
    height: 75px;
    bottom: -30px;
    right: 150px;
}

@media screen and (min-width: 676px) {
    .footers-center {
        display: grid;
        grid-template-columns: 1fr 1fr;
        -moz-column-gap: 2rem;
             column-gap: 2rem;
    }
}

@media screen and (min-width: 992px) {
    .footers-center {
        grid-template-columns: 1fr 1fr 1fr;
    }
    .footers-center::after{
        top:230px;
        left: -170px;
    }
    .footers-center::before{
        bottom: 265px;
        right: -115px;
    }
}

/*
=============== 
Aboutus
===============
*/

#about{
    padding: 10rem 0 0 0;
    position: relative;
}

#about::after{
    position: absolute;
    content: '';
    background: url(../images/about.png) no-repeat;
    width:165px;
    height: 165px;
    top:385px;
    left: 0;
}

/*
=============== 
ContactUs
===============
*/
.contactus{
    padding: 3rem 3rem 0 3rem;
}
#img-contact{
    display: none;
}
.vertical-line {
    border-right: 6px solid #fb5607;
    height: 270px;
    margin-top: 4rem;
}
.contac_title{
    margin-top: 10rem;
    text-align: center;
}
.contact_map{
    text-align: center;
}

@media screen and (min-width: 676px) {
    .vertical-line {
        height: 300px;
        margin-top: 0;
    }
    #img-contact{
        max-width: 100% !important;
        margin: auto;
        display: block;
    }
}

@media screen and (min-width: 992px) {
    .vertical-line {
        margin-top: 0;
    }
    .contact_map{
        text-align: right;
    }
    #img-contact{
        max-width: 70% !important;
        margin: auto;
        display: block;
    }
}

/*
=============== 
Library
===============
*/
#library{
    padding-top: 8rem !important;
}

.library-title{
    margin-bottom: 0 !important;
}

.library {
    background: var(--clr-white);
    border-radius: var(--radius);
    text-align: center;
    transition: var(--transition);
    max-width: 15rem;
    padding-top: 4rem;
    margin: auto;
}

.library:hover {
    transform: scale(1.02);
    opacity: 0.7;
}

.library h6{
    padding: 1rem 0 0 0;
}

.library p {
    padding: 0 3rem;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 15rem;
    margin-bottom: 0.5rem !important;
}

.library img{
    height: 10rem;
    width: 10rem;
    object-fit: cover;
    border-radius: 20%;
    margin: auto;
}

.library a:hover{
    background: var(--clr-primary-5);
    border-color: var(--clr-primary-5);
}

.null{
    height: 36px;
}

@media screen and (min-width: 676px) {
    .libraries-center {
        display: grid;
        grid-template-columns: 1fr 1fr;
        -moz-column-gap: 2rem;
             column-gap: 2rem;
    }
}

@media screen and (min-width: 992px) {
    .libraries-center {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

/*
=============== 
Album
===============
*/
#album{
    padding-top: 8rem !important;
}

.album-title{
    margin-bottom: 0 !important;
}

.album {
    background: var(--clr-white);
    border-radius: var(--radius);
    text-align: center;
    transition: var(--transition);
    max-width: 15rem;
    padding-top: 4rem;
    margin: auto;
}

.album:hover {
    transform: scale(1.02);
    opacity: 0.7;
}

.album h6{
    padding: 1rem 0 0 0;
}

.album p {
    padding: 0.5rem 0;
    text-align: center;
}

.album img{
    height: 10rem;
    width: 10rem;
    object-fit: cover;
    border-radius: 20%;
    margin: auto;
    cursor: pointer;
}

.album a:hover{
    background: var(--clr-primary-5);
    border-color: var(--clr-primary-5);
}

.null{
    height: 36px;
}

@media screen and (min-width: 676px) {
    .albums-center {
        display: grid;
        grid-template-columns: 1fr 1fr;
        -moz-column-gap: 2rem;
             column-gap: 2rem;
    }
}

@media screen and (min-width: 992px) {
    .albums-center {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.desc {
    text-align: center;
    padding-bottom: 0.5rem;
}